Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class ResourceRefImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.ResourceRefImpl

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceRefImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `resAuth`
`private java.lang.String` | `resRefName`
`private java.lang.String` | `resSharingScope`
`private java.lang.String` | `resType`

Constructor Summary
`ResourceRefImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String` | `getResAuth()`
`java.lang.String` | `getResRefName()`
`java.lang.String` | `getResSharingScope()`
`java.lang.String` | `getResType()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setResAuth(java.lang.String resAuth)`
`void` | `setResRefName(java.lang.String resRefName)`
`void` | `setResSharingScope(java.lang.String resSharingScope)`
`void` | `setResType(java.lang.String resType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### resRefName

    private java.lang.String resRefName

### resType

    private java.lang.String resType

### resAuth

    private java.lang.String resAuth

### resSharingScope

    private java.lang.String resSharingScope

Constructor Detail

### ResourceRefImpl

    public ResourceRefImpl()

Method Detail

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### getResRefName

    public java.lang.String getResRefName()

### getResType

    public java.lang.String getResType()

### getResAuth

    public java.lang.String getResAuth()

### getResSharingScope

    public java.lang.String getResSharingScope()

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### setResRefName

    public void setResRefName(java.lang.String resRefName)

### setResType

    public void setResType(java.lang.String resType)

### setResAuth

    public void setResAuth(java.lang.String resAuth)

### setResSharingScope

    public void setResSharingScope(java.lang.String resSharingScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD